Log new payment

This request logs a new payment on a loan.

   Click here to learn more about this request

There are two types of payments that LoanPro handles: logged and logged and processed. They differ from each other slightly, and here's a breakdown of what a logged payment is:

🚧

This request will only log a payment

Logged payments are those that are processed externally from LoanPro. In other words, a transfer of money was made, but LoanPro was not directly involved in the transfer. This request will not pull any money from a card or an account, but it will create a record of a transaction where money was exchanged and, if desired, update the loan's values to reflect the transaction. This type of payment applies to situations like the following:

  • A borrower pays in cash
  • A borrower pays with a check/money order
  • A borrower pays with a card, but the card transaction is processed outside of LoanPro's LMS

For an example of how logging payments works within the UI, take a look at our Log a Payment article.

Database

For information on payment database tables, see the following articles:

Database – Payments (payment_entity)

Database – Payment Defaults (defaults_payments)

{
    "Payments": {
        "results": [
            {
                "selectedProcessor": 0,
                "paymentMethodId": 1,
                "early": 0,
                "amount": 109.19,
                "date": "2022-01-01",
                "info": "API Payment",
                "paymentTypeId": 1,
                "active": 1,
                "displayId": 20392,
                "resetPastDue": false,
                "payoffPayment": false,
                "payoffFlag": 0,
                "extra": "payment.extra.tx.principalonly",
                "cardTypeFee": "loan.cardfee.types.0",
                "cardFeeAmount": 0,
                "cardFeePercent": 0,
                "__logOnly": true,
                "metadata": {}
            }
        ]
    }
}
Path Params
int32
required

This is the ID of the loan.

Query Params
string
enum

Optional parameter that determines whether to wait to receive a successful 200 response until the calculator has updated all loan values affected by the payment.
> Set this field to calc-response to wait for calculations to finish before receiving a 200 response.
> Please note that using this param will likely cause longer request times when applying payments to an account.

Allowed:
Body Params
Payments
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json